<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="c6d882e7-2e07-4f28-8967-b349fa97e50a" name="Default" comment="" />
    <ignored path="UpdateManager.iws" />
    <ignored path=".idea/workspace.xml" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ChangesViewManager" flattened_view="true" show_ignored="false" />
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="DaemonCodeAnalyzer">
    <disable_hints />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FavoritesManager">
    <favorites_list name="UpdateManager" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="__init__.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/__init__.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="105">
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UpdateManager.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/UpdateManager.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="1126" column="15" selection-start="44440" selection-end="44449" vertical-scroll-proportion="-3.142857" vertical-offset="8800" max-vertical-offset="9975">
              <folding>
                <element signature="e#2954#3873#0" expanded="false" />
                <element signature="e#4114#4352#0" expanded="false" />
                <element signature="e#4453#4506#0" expanded="false" />
                <element signature="e#4601#4779#0" expanded="false" />
                <element signature="e#4875#5039#0" expanded="false" />
                <element signature="e#5149#5154#0" expanded="false" />
                <element signature="e#5213#5353#0" expanded="false" />
                <element signature="e#11162#11487#0" expanded="false" />
                <element signature="e#12252#13072#0" expanded="false" />
                <element signature="e#13137#13239#0" expanded="false" />
                <element signature="e#13283#13388#0" expanded="false" />
                <element signature="e#13465#14215#0" expanded="false" />
                <element signature="e#14285#17763#0" expanded="false" />
                <element signature="e#17815#17900#1" expanded="false" />
                <element signature="e#18947#19209#0" expanded="false" />
                <element signature="e#19257#19480#0" expanded="false" />
                <element signature="e#19257#19291#1" expanded="false" />
                <element signature="e#19529#19744#0" expanded="false" />
                <element signature="e#19529#19564#1" expanded="false" />
                <element signature="e#22746#23236#0" expanded="false" />
                <element signature="e#22746#22886#1" expanded="false" />
                <element signature="e#23287#25151#0" expanded="false" />
                <element signature="e#23287#23401#1" expanded="false" />
                <element signature="e#25686#28086#0" expanded="false" />
                <element signature="e#28654#28748#0" expanded="false" />
                <element signature="e#28876#29472#0" expanded="false" />
                <element signature="e#29525#30474#0" expanded="false" />
                <element signature="e#30547#30589#0" expanded="false" />
                <element signature="e#30634#30900#0" expanded="false" />
                <element signature="e#30955#31320#0" expanded="false" />
                <element signature="e#31370#31692#0" expanded="false" />
                <element signature="e#32951#33757#0" expanded="false" />
                <element signature="e#33812#35038#0" expanded="false" />
                <element signature="e#35108#35238#0" expanded="false" />
                <element signature="e#35312#35620#0" expanded="false" />
                <element signature="e#35678#35917#0" expanded="false" />
                <element signature="e#35989#36706#0" expanded="false" />
                <element signature="e#36751#37854#0" expanded="false" />
                <element signature="e#37937#38067#0" expanded="false" />
                <element signature="e#37937#38038#1" expanded="false" />
                <element signature="e#38091#38194#0" expanded="false" />
                <element signature="e#38224#38401#0" expanded="false" />
                <element signature="e#38434#38988#0" expanded="false" />
                <element signature="e#42948#43002#0" expanded="false" />
                <element signature="e#43047#43447#0" expanded="false" />
                <element signature="e#43507#44109#0" expanded="false" />
                <element signature="e#44182#44357#0" expanded="false" />
                <element signature="e#46306#46942#0" expanded="false" />
                <element signature="e#46991#47202#0" expanded="false" />
                <element signature="e#47247#47714#0" expanded="false" />
                <element signature="e#47760#48139#0" expanded="false" />
                <element signature="e#48181#48528#0" expanded="false" />
                <element signature="e#48599#49324#0" expanded="false" />
                <element signature="e#49379#51027#0" expanded="false" />
                <element signature="e#51066#51646#0" expanded="false" />
                <element signature="e#51685#52096#0" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="DistUpgradeFetcher.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/DistUpgradeFetcher.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="1119" max-vertical-offset="2070">
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="check-meta-release.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/check-meta-release.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="525">
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="utils.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Core/utils.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="5979" max-vertical-offset="6930">
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="DistUpgradeFetcherCore.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Core/DistUpgradeFetcherCore.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="3352" max-vertical-offset="4290">
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AlertWatcher.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Core/AlertWatcher.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="49" max-vertical-offset="1470">
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="MyCache.py" pinned="false" current="true" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Core/MyCache.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="62" column="23" selection-start="2179" selection-end="2189" vertical-scroll-proportion="-0.16630669" vertical-offset="1009" max-vertical-offset="2745">
              <folding>
                <element signature="e#1338#1535#0" expanded="false" />
                <element signature="e#1338#1526#1" expanded="false" />
                <element signature="e#2508#2610#1" expanded="false" />
                <element signature="e#3604#3636#0" expanded="false" />
                <element signature="e#3670#3702#0" expanded="false" />
                <element signature="e#7075#10403#0" expanded="false" />
                <element signature="e#10478#11027#0" expanded="false" />
                <element signature="e#11102#11464#0" expanded="false" />
                <element signature="e#11102#11204#1" expanded="false" />
                <element signature="e#11533#11666#0" expanded="false" />
                <element signature="e#11710#11955#0" expanded="false" />
                <element signature="e#12047#13300#0" expanded="false" />
                <element signature="e#13345#15072#0" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="__init__.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Core/__init__.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="90">
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UpdateList.py" pinned="false" current="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Core/UpdateList.py">
          <provider selected="true" editor-type-id="text-editor">
            <state line="73" column="23" selection-start="2620" selection-end="2620" vertical-scroll-proportion="0.0" vertical-offset="259" max-vertical-offset="1590">
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindManager">
    <FindUsagesManager>
      <setting name="OPEN_NEW_TAB" value="false" />
    </FindUsagesManager>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="39" />
    <option name="y" value="-14" />
    <option name="width" value="1891" />
    <option name="height" value="1104" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="false">
    <OptionsSetting value="true" id="Add" />
    <OptionsSetting value="true" id="Remove" />
    <OptionsSetting value="true" id="Checkout" />
    <OptionsSetting value="true" id="Update" />
    <OptionsSetting value="true" id="Status" />
    <OptionsSetting value="true" id="Edit" />
    <ConfirmationsSetting value="0" id="Add" />
    <ConfirmationsSetting value="0" id="Remove" />
  </component>
  <component name="ProjectReloadState">
    <option name="STATE" value="0" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1" splitterProportion="0.5">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="UpdateManager" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="External Libraries" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ExternalLibrariesNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="&lt; Python 2.7.6 (/usr/bin/python) &gt;" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.NamedLibraryElementNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="UpdateManager" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="UpdateManager" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="UpdateManager" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="UpdateManager" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="Core" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="FullScreen" value="false" />
  </component>
  <component name="RunManager">
    <configuration default="true" type="tests" factoryName="py.test">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="UpdateManager" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <option name="testToRun" value="" />
      <option name="keywords" value="" />
      <option name="params" value="" />
      <option name="USE_PARAM" value="false" />
      <option name="USE_KEYWORD" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Nosetests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="UpdateManager" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <option name="PARAMS" value="" />
      <option name="USE_PARAM" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="PythonConfigurationType" factoryName="Python">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="UpdateManager" />
      <option name="SCRIPT_NAME" value="" />
      <option name="PARAMETERS" value="" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Unittests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="UpdateManager" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <option name="PUREUNITTEST" value="true" />
      <option name="PARAMS" value="" />
      <option name="USE_PARAM" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Doctests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="UpdateManager" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Attests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="UpdateManager" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <method />
    </configuration>
    <list size="0" />
  </component>
  <component name="ShelveChangesManager" show_recycled="false" />
  <component name="SvnConfiguration" maxAnnotateRevisions="500" myUseAcceleration="nothing" myAutoUpdateAfterCommit="false" cleanupOnStartRun="false" SSL_PROTOCOLS="sslv3">
    <option name="USER" value="" />
    <option name="PASSWORD" value="" />
    <option name="mySSHConnectionTimeout" value="30000" />
    <option name="mySSHReadTimeout" value="30000" />
    <option name="LAST_MERGED_REVISION" />
    <option name="MERGE_DRY_RUN" value="false" />
    <option name="MERGE_DIFF_USE_ANCESTRY" value="true" />
    <option name="UPDATE_LOCK_ON_DEMAND" value="false" />
    <option name="IGNORE_SPACES_IN_MERGE" value="false" />
    <option name="CHECK_NESTED_FOR_QUICK_MERGE" value="false" />
    <option name="IGNORE_SPACES_IN_ANNOTATE" value="true" />
    <option name="SHOW_MERGE_SOURCES_IN_ANNOTATE" value="true" />
    <option name="FORCE_UPDATE" value="false" />
    <option name="IGNORE_EXTERNALS" value="false" />
    <myIsUseDefaultProxy>false</myIsUseDefaultProxy>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c6d882e7-2e07-4f28-8967-b349fa97e50a" name="Default" comment="" />
      <created>1413278441563</created>
      <updated>1413278441563</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="39" y="-14" width="1891" height="1104" extended-state="6" />
    <editor active="false" />
    <layout>
      <window_info id="Changes" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" weight="0.24959914" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
    </layout>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="myTodoPanelSettings">
      <TodoPanelSettings />
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="python-line">
          <url>file://$PROJECT_DIR$/UpdateManager.py</url>
          <line>168</line>
        </line-breakpoint>
      </breakpoints>
      <option name="time" value="1" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="105">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/UpdateManager.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="168" column="41" selection-start="5396" selection-end="5396" vertical-scroll-proportion="0.0" vertical-offset="2520" max-vertical-offset="19830">
          <folding>
            <element signature="e#2954#3873#0" expanded="false" />
            <element signature="e#4114#4352#0" expanded="false" />
            <element signature="e#4453#4506#0" expanded="false" />
            <element signature="e#4601#4779#0" expanded="false" />
            <element signature="e#4875#5039#0" expanded="false" />
            <element signature="e#5149#5154#0" expanded="false" />
            <element signature="e#5213#5353#0" expanded="false" />
            <element signature="e#11162#11487#0" expanded="false" />
            <element signature="e#12252#13072#0" expanded="false" />
            <element signature="e#13137#13239#0" expanded="false" />
            <element signature="e#13283#13388#0" expanded="false" />
            <element signature="e#13465#14215#0" expanded="false" />
            <element signature="e#14285#17763#0" expanded="false" />
            <element signature="e#17815#17900#1" expanded="false" />
            <element signature="e#18947#19209#0" expanded="false" />
            <element signature="e#19257#19480#0" expanded="false" />
            <element signature="e#19257#19291#1" expanded="false" />
            <element signature="e#19529#19744#0" expanded="false" />
            <element signature="e#19529#19564#1" expanded="false" />
            <element signature="e#22746#23236#0" expanded="false" />
            <element signature="e#22746#22886#1" expanded="false" />
            <element signature="e#23287#25151#0" expanded="false" />
            <element signature="e#23287#23401#1" expanded="false" />
            <element signature="e#25686#28086#0" expanded="false" />
            <element signature="e#28654#28748#0" expanded="false" />
            <element signature="e#28876#29472#0" expanded="false" />
            <element signature="e#29525#30474#0" expanded="false" />
            <element signature="e#30547#30589#0" expanded="false" />
            <element signature="e#30634#30900#0" expanded="false" />
            <element signature="e#30955#31320#0" expanded="false" />
            <element signature="e#31370#31692#0" expanded="false" />
            <element signature="e#32951#33757#0" expanded="false" />
            <element signature="e#33812#35038#0" expanded="false" />
            <element signature="e#35108#35238#0" expanded="false" />
            <element signature="e#35312#35620#0" expanded="false" />
            <element signature="e#35678#35917#0" expanded="false" />
            <element signature="e#35989#36706#0" expanded="false" />
            <element signature="e#36751#37854#0" expanded="false" />
            <element signature="e#37937#38067#0" expanded="false" />
            <element signature="e#37937#38038#1" expanded="false" />
            <element signature="e#38091#38194#0" expanded="false" />
            <element signature="e#38224#38401#0" expanded="false" />
            <element signature="e#38434#38988#0" expanded="false" />
            <element signature="e#42948#43002#0" expanded="false" />
            <element signature="e#43047#43447#0" expanded="false" />
            <element signature="e#43507#44109#0" expanded="false" />
            <element signature="e#44182#44357#0" expanded="false" />
            <element signature="e#46306#46942#0" expanded="false" />
            <element signature="e#46991#47202#0" expanded="false" />
            <element signature="e#47247#47714#0" expanded="false" />
            <element signature="e#47760#48139#0" expanded="false" />
            <element signature="e#48181#48528#0" expanded="false" />
            <element signature="e#48599#49324#0" expanded="false" />
            <element signature="e#49379#51027#0" expanded="false" />
            <element signature="e#51066#51646#0" expanded="false" />
            <element signature="e#51685#52096#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Core/MyCache.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="150" column="65" selection-start="6146" selection-end="6146" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="2220">
          <folding>
            <element signature="e#1338#1535#0" expanded="false" />
            <element signature="e#1338#1526#1" expanded="false" />
            <element signature="e#2508#2610#1" expanded="false" />
            <element signature="e#3604#3636#0" expanded="false" />
            <element signature="e#3670#3702#0" expanded="false" />
            <element signature="e#7075#10403#0" expanded="false" />
            <element signature="e#10478#11027#0" expanded="false" />
            <element signature="e#11102#11464#0" expanded="false" />
            <element signature="e#11102#11204#1" expanded="false" />
            <element signature="e#11533#11666#0" expanded="false" />
            <element signature="e#11710#11955#0" expanded="false" />
            <element signature="e#12047#13300#0" expanded="false" />
            <element signature="e#13345#15072#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="105">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/DistUpgradeFetcher.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="2070">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/check-meta-release.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="951">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Core/utils.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="6930">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Core/AlertWatcher.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="1470">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Core/DistUpgradeFetcherCore.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="4290">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Core/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0" vertical-offset="0" max-vertical-offset="926">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Core/UpdateList.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="73" column="23" selection-start="2620" selection-end="2620" vertical-scroll-proportion="0.0" vertical-offset="639" max-vertical-offset="1590">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/UpdateManager.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="1126" column="15" selection-start="44440" selection-end="44449" vertical-scroll-proportion="-3.142857" vertical-offset="8800" max-vertical-offset="9975">
          <folding>
            <element signature="e#2954#3873#0" expanded="false" />
            <element signature="e#4114#4352#0" expanded="false" />
            <element signature="e#4453#4506#0" expanded="false" />
            <element signature="e#4601#4779#0" expanded="false" />
            <element signature="e#4875#5039#0" expanded="false" />
            <element signature="e#5149#5154#0" expanded="false" />
            <element signature="e#5213#5353#0" expanded="false" />
            <element signature="e#11162#11487#0" expanded="false" />
            <element signature="e#12252#13072#0" expanded="false" />
            <element signature="e#13137#13239#0" expanded="false" />
            <element signature="e#13283#13388#0" expanded="false" />
            <element signature="e#13465#14215#0" expanded="false" />
            <element signature="e#14285#17763#0" expanded="false" />
            <element signature="e#17815#17900#1" expanded="false" />
            <element signature="e#18947#19209#0" expanded="false" />
            <element signature="e#19257#19480#0" expanded="false" />
            <element signature="e#19257#19291#1" expanded="false" />
            <element signature="e#19529#19744#0" expanded="false" />
            <element signature="e#19529#19564#1" expanded="false" />
            <element signature="e#22746#23236#0" expanded="false" />
            <element signature="e#22746#22886#1" expanded="false" />
            <element signature="e#23287#25151#0" expanded="false" />
            <element signature="e#23287#23401#1" expanded="false" />
            <element signature="e#25686#28086#0" expanded="false" />
            <element signature="e#28654#28748#0" expanded="false" />
            <element signature="e#28876#29472#0" expanded="false" />
            <element signature="e#29525#30474#0" expanded="false" />
            <element signature="e#30547#30589#0" expanded="false" />
            <element signature="e#30634#30900#0" expanded="false" />
            <element signature="e#30955#31320#0" expanded="false" />
            <element signature="e#31370#31692#0" expanded="false" />
            <element signature="e#32951#33757#0" expanded="false" />
            <element signature="e#33812#35038#0" expanded="false" />
            <element signature="e#35108#35238#0" expanded="false" />
            <element signature="e#35312#35620#0" expanded="false" />
            <element signature="e#35678#35917#0" expanded="false" />
            <element signature="e#35989#36706#0" expanded="false" />
            <element signature="e#36751#37854#0" expanded="false" />
            <element signature="e#37937#38067#0" expanded="false" />
            <element signature="e#37937#38038#1" expanded="false" />
            <element signature="e#38091#38194#0" expanded="false" />
            <element signature="e#38224#38401#0" expanded="false" />
            <element signature="e#38434#38988#0" expanded="false" />
            <element signature="e#42948#43002#0" expanded="false" />
            <element signature="e#43047#43447#0" expanded="false" />
            <element signature="e#43507#44109#0" expanded="false" />
            <element signature="e#44182#44357#0" expanded="false" />
            <element signature="e#46306#46942#0" expanded="false" />
            <element signature="e#46991#47202#0" expanded="false" />
            <element signature="e#47247#47714#0" expanded="false" />
            <element signature="e#47760#48139#0" expanded="false" />
            <element signature="e#48181#48528#0" expanded="false" />
            <element signature="e#48599#49324#0" expanded="false" />
            <element signature="e#49379#51027#0" expanded="false" />
            <element signature="e#51066#51646#0" expanded="false" />
            <element signature="e#51685#52096#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Core/MyCache.py">
      <provider selected="true" editor-type-id="text-editor">
        <state line="62" column="23" selection-start="2179" selection-end="2189" vertical-scroll-proportion="-0.16630669" vertical-offset="1009" max-vertical-offset="2745">
          <folding>
            <element signature="e#1338#1535#0" expanded="false" />
            <element signature="e#1338#1526#1" expanded="false" />
            <element signature="e#2508#2610#1" expanded="false" />
            <element signature="e#3604#3636#0" expanded="false" />
            <element signature="e#3670#3702#0" expanded="false" />
            <element signature="e#7075#10403#0" expanded="false" />
            <element signature="e#10478#11027#0" expanded="false" />
            <element signature="e#11102#11464#0" expanded="false" />
            <element signature="e#11102#11204#1" expanded="false" />
            <element signature="e#11533#11666#0" expanded="false" />
            <element signature="e#11710#11955#0" expanded="false" />
            <element signature="e#12047#13300#0" expanded="false" />
            <element signature="e#13345#15072#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>

